Subject: bug#29823: NS port tooltip colours

From: Alan Third <[email-masked]>
Date: Thu, 4 Jan 2018 21:21:45 +0000

On Thu, Jan 04, 2018 at 09:57:32PM +0100, Charles A. Roelli wrote:
> > Date: Sat, 23 Dec 2017 11:21:29 +0000
> > From: Alan Third <[email-masked]>
> > 
> > The NS port doesn’t support customising tooltips as described in the
> > Emacs manual. I’ve attached a patch that allows you to customise the
> > background and foreground colours.
> > 
> > It may be better to try using the existing frame code to generate the
> > tooltips as they would then support all parameters, but I’m not sure
> > how to go about doing that.
> 
> Looks good to me.  Thanks for adding this feature.

Thanks.

> It looks like using the existing frame code to generate tooltips would
> involve rewriting "x-show-tip" in nsfns.m to make it pop up a frame
> instead of a native tooltip.  Could that not be done using the "child
> frame" functionality (or some subset of it) that you've already added?

Yeah. I assume it should also be possible to modify tooltip.el to use
undecorated frames instead of tooltips defined at the C level.

Perhaps there’s some advantage to using native tooltips, but the NS
port doesn’t use native tooltips anyway.

> And by the way, do you know how this bug was tagged as "minor"?  It
> seems like a lot of bugs get that designation, and it's not clear
> whether the submitter chooses to do that or if it is somehow done
> automatically.

I assume someone else set it, I certainly didn’t.
-- 
Alan Third